Page MenuHomePhabricator

Enable Labeled Section Transclusion's #lsth on Wikimedia
Closed, ResolvedPublic

Description

Greg, any other review needed for this?

and on which wikis are we enabling this? all by default?


Version: unspecified
Severity: enhancement
URL: https://www.mediawiki.org/wiki/Extension:Labeled_Section_Transclusion#Transcluding_sections_by_headings
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=26402

Details

Reference
bz72302
Related Gerrit Patches:
mediawiki/extensions/LabeledSectionTransclusion : masterMerge lsth.php into extension itself

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:53 AM
bzimport set Reference to bz72302.
bzimport added a subscriber: Unknown Object (MLST).
GOIII added a comment.Jan 1 2015, 12:23 PM

. . . and on which wikis are we enabling this? all by default?

If it works as advertised, I would assume "we" would want it enabled everywhere #lst already is for no better reason than just to cut down on the number of extraneous uses of the section marker tags approach moving forward.

In those cases where everything one would want transcluded falls under a single mw-headline section -- like the entire contents of Chapter 4 below...

== Chapter 4 ==
<section begin="chap04" />
Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. 
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure 
dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non 
proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
<section end="chap04" />

== Chapter 5 ==
Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. ...

... you're stuck applying & saving beginning & ending section-marker-tags before you get to actually use #lst opposed to using the most-likely already existing mw-headline section title (Chapter 4 in this case) and no tags under the #lsth approach.

That said, and is not the consensus view for some reason, I'd like to quietly add English Wikisource to the short-list for activation regardless.

greg added a project: Shell.Jan 5 2015, 5:05 PM
greg added a subscriber: Reedy.

@Reedy: security review is done. 'tis now a Shell bug. :)

Reedy added a comment.Jan 5 2015, 6:31 PM

I'm not sure if there's any real reason for this to stay as a standalone entry point... https://gerrit.wikimedia.org/r/#/c/182857/

GOIII added a comment.Jan 6 2015, 3:57 AM

I'm not sure if there's any real reason for this to stay as a standalone entry point... https://gerrit.wikimedia.org/r/#/c/182857/

What difference would it make if we activated it first and then worried about the best way to facilitate the continued hosting of it after we knew it was at least up and running -- never mind reasonably certain its running without defect, indeed works as advertised and plays well with others?

I'm not sure I understand the backstory here. Why (and how) is #lsth gated?

My suspicion is that a performance review is far more necessary here than a security review.

GOIII added a comment.EditedJan 6 2015, 7:03 AM

I'm not sure I understand the backstory here. Why (and how) is #lsth gated?
My suspicion is that a performance review is far more necessary here than a security review.

How long is that going to take? More than a day or two? A month? Another ~year like it did for T45612 ? (SAME damn report as this one btw minus the benefit of the answered security question).

Maybe its because I haven't been doing this long enough or the touchstone revealing 'all that is Bugzilla' has not been passed around my way yet but wouldn't these professorial ponderings of seemingly nothing more than loose ends and/or attempts at patching x and y on top of z while in the dark get answered 'faster' if not just more definitively if, say, group 0 (test wikis) had this activated for their Jan 07 -- 1.25wmf14 roll out?

If something was really, really broke it should be readily apparent once live and if its just crippled or quirky, we have a week to decide not to further it to all the sister-projects.

@GOIII: No need to get indignant. :-)

https://noc.wikimedia.org/conf/CommonSettings.php.txt says:

if ( $wmgUseLabeledSectionTransclusion ) {
	include( $IP . '/extensions/LabeledSectionTransclusion/lst.php' );
}

https://www.mediawiki.org/wiki/Extension:Labeled_Section_Transclusion#Installation explains that there's lst.php and lsth.php.

While https://gerrit.wikimedia.org/r/182857 proposes merging these two files.

My question (and suspicion) stands.

Reedy added a comment.Jan 6 2015, 4:02 PM

There's some extra regexes in it...

Change 182857 had a related patch set uploaded (by Hashar):
Merge lsth.php into extension itself

https://gerrit.wikimedia.org/r/182857

Patch-For-Review

GOIII added a comment.EditedJan 6 2015, 4:31 PM

My question (and suspicion) stands.

I gleamed as much. I guess if its OK to activate #LSTx thru lst.php then I don't see why the same couldn't be done for #LSTh from the technical standpoint.

My concern is over the further blurring of sectioning and headings as if they will always be one in the same when every indication given in HTML5 is that the new elements (<section> <article> <header> <footer> <hgroup> <nav> etc.) will eventually ''rise'' to supplement the existing h1 thru h6 scheme -- but ranking will not always follow the traditional order when it comes to the document outline at that point as well.

I think this means it would be wise to leave ourselves open to transcluding ranges based on those element tags in the future along side of what amounts to == Foo == currently (& if it not for the wiki-markup getting in the way): <h2>Foo</h2> and similar.

Maybe I'm mistaken and nothing done today will have any bearing on this tomorrow or nobody will support new elements for sectioning and headings in the future either.

Change 182857 merged by jenkins-bot:
Merge lsth.php into extension itself

https://gerrit.wikimedia.org/r/182857

Glaisher added a comment.EditedJan 9 2015, 9:59 AM

`{{#lsth:Amusia|Basics of music processing}}

{{#lsth:Cheddar cheese|Process|International production}}`

http://en.wikipedia.beta.wmflabs.org/w/index.php?title=User:Glaisher/lsth&oldid=182777 Nice, thanks! :)

Glaisher closed this task as Resolved.Feb 4 2015, 4:05 AM
Glaisher assigned this task to Reedy.
Glaisher set Security to None.

Will go out to Wikipedias later today (1.25wmf15). Now works on other wikis.

He7d3r added a subscriber: He7d3r.Feb 4 2015, 11:04 AM

Has this been added correctly to en.wp?

For me #section is blank and #section-h returns what I believe #section should. (Similarly for #lst and #lsth.)

You can see my tests at https://en.wikipedia.org/wiki/User:Markhurd/Sandbox , https://en.wikipedia.org/wiki/User:Markhurd/Sandbox/1 and their corresponding Talk pages.

It works as expected. {{#section:User:Markhurd|Extra-Wiki links}} will only work when you have enclosed the section within section tags. This worked previously as well.

#lsth is what was enabled in this task. It's an alias of #section-h. Please see the documentation at https://www.mediawiki.org/wiki/Extension:Labeled_Section_Transclusion for details about how to use it.

Sorry, I agree it is working as documented. The Tech News said "to transclude a section with its title" when it meant "to transclude a section by its title".